package com.mortals.xhx.common.code;

import com.mortals.framework.ap.SysConstains;
import com.mortals.framework.common.IBaseEnum;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 平台模型状态
 * @author 
 *
 */
public enum PlatformModelStatus implements IBaseEnum {
	DISENABLE(0, "停用", SysConstains.STYLE_DEFAULT),
	ENABLE(1, "启用", SysConstains.STYLE_DEFAULT);
    private int value;
    private String desc;
    private String style;

    PlatformModelStatus(int value, String desc, String style) {
        this.value = value;
        this.desc = desc;
        this.style = style;
    }

    @Override
    public int getValue() {
        return this.value;
    }

    public String getDesc() {
        return desc;
    }

    public String getStyle()
	{
		return style;
	}

	public static PlatformModelStatus getByValue(int value) {
        for (PlatformModelStatus examStatus : PlatformModelStatus.values()) {
            if (examStatus.getValue() == value) {
                return examStatus;
            }
        }
        return null;
    }
	/**
	 * 获取Map集合
	 * @param eItem 不包含项
	 * @return
	 */
	public static Map<String,String> getEnumMap(int... eItem) {
		Map<String,String> resultMap= new LinkedHashMap<String,String>();
		for (PlatformModelStatus item : PlatformModelStatus.values()) {
			try{
				boolean hasE = false;
				for (int e : eItem){
					if(item.getValue()==e){
						hasE = true;
						break;
					}
				}
				if(!hasE){
					resultMap.put(item.getValue()+"", item.getDesc());
				}
			}catch(Exception ex){
			}
		}
		return resultMap;
	}
}
